Index: tester/rtems/testing/bsps/psim-device-tree
===================================================================
--- tester/rtems/testing/bsps/psim-device-tree	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
+++ tester/rtems/testing/bsps/psim-device-tree	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
@@ -0,0 +1,27 @@
+#
+#  Device Tree for PSIM
+#
+/#address-cells 1
+/openprom/init/register/pvr 0xfffe0000
+/openprom/options/oea-memory-size 16777216
+##### EEPROM @ 0x0c000000 for 512K
+/eeprom@0x0c000000/reg 0x0c000000 0x80000
+/eeprom@0x0c000000/nr-sectors 8
+/eeprom@0x0c000000/sector-size 0x10000
+/eeprom@0x0c000000/byte-write-delay 1000
+/eeprom@0x0c000000/sector-start-delay 100
+/eeprom@0x0c000000/erase-delay 1000
+/eeprom@0x0c000000/manufacture-code 0x01
+/eeprom@0x0c000000/device-code 0xa4
+
+##### NVRAM/RTC NVRAM Portion is 0x0c080000 for 512K
+##### NVRAM/RTC RTC   Portion is 0x0c100000 for 12
+/nvram@0x0c080000/reg 0x0c080000 524300
+/nvram@0x0c080000/timezone -3600
+
+##### OPENPIC @ 0x0c130000 - 0x0c170000 (512K)
+/opic@0x0c130000/reg              0x0c130000 0 0x0c130000 0x40000
+/opic@0x0c130000/interrupt-ranges 0 0 0 16
+/opic@0x0c130000/device_type      open-pic
+## interupt out -> CPU's interrupt pin
+/opic@0x0c130000 > intr0 int /cpus/cpu@0
Index: tester/rtems/testing/bsps/psim-run.mc
===================================================================
--- tester/rtems/testing/bsps/psim-run.mc	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
+++ tester/rtems/testing/bsps/psim-run.mc	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
@@ -0,0 +1,56 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2010-2014 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# All paths in defaults must be Unix format. Do not store any Windows format
+# paths in the defaults.
+#
+# Every entry must describe the type of checking a host must pass.
+#
+# Records:
+#  key: type, attribute, value
+#   type     : none, dir, exe, triplet
+#   attribute: none, required, optional
+#   value    : 'single line', '''multi line'''
+#
+
+#
+# The SIS BSP
+#
+# Warning: This is not working cleanly on MacOS. I am not sure why. The gdb version does work.
+#
+[global]
+bsp:              none,    none,     'psim'
+
+[psim]
+psim:             none,    none,     '%{_rtscripts}/run.cfg'
+psim_arch:        none,    none,     'powerpc'
+bsp_run_cmd:      none,    none,     '%{rtems_tools}/%{bsp_arch}-rtems%{rtems_version}-run'
+bsp_run_opts:     none,    none,     '-t all -f %{_rtscripts}/bsps/psim-device-tree'
Index: tester/rtems/testing/bsps/psim.mc
===================================================================
--- tester/rtems/testing/bsps/psim.mc	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
+++ tester/rtems/testing/bsps/psim.mc	(revision 05d2385550d877fbf990d2d17b3e39d88ef8b319)
@@ -0,0 +1,56 @@
+#
+# RTEMS Tools Project (http://www.rtems.org/)
+# Copyright 2010-2014 Chris Johns (chrisj@rtems.org)
+# All rights reserved.
+#
+# This file is part of the RTEMS Tools package in 'rtems-tools'.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# 1. Redistributions of source code must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# 2. Redistributions in binary form must reproduce the above copyright notice,
+# this list of conditions and the following disclaimer in the documentation
+# and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+#
+# All paths in defaults must be Unix format. Do not store any Windows format
+# paths in the defaults.
+#
+# Every entry must describe the type of checking a host must pass.
+#
+# Records:
+#  key: type, attribute, value
+#   type     : none, dir, exe, triplet
+#   attribute: none, required, optional
+#   value    : 'single line', '''multi line'''
+#
+
+#
+# The SIS BSP
+#
+[global]
+bsp:                 none,    none,     'psim'
+
+[psim]
+psim:                none,    none,     '%{_rtscripts}/gdb.cfg'
+psim_arch:           none,    none,     'powerpc'
+gdb_script:          none,    none,     'psim_gdb_script'
+psim_gdb_script:     none,    none,     '''target sim -f %{_rtscripts}/bsps/psim-device-tree
+                                           load
+                                           run'''
